body {
  background-color: #f4f5f7;
  width: 100vw;
  margin: 0;
  font-family: 'Poppins', sans-serif;
}

header {
  width: 100vw;
  position: relative;
  margin: 0;
  display: flex;
  align-items: center;
  background-color: white;
}

#logo {
  margin: 23.94px auto 23.94px 10%;
  width: 100px;
  height: 40px;
  display: flex;
}

img.nav-pic {
  height: 24px;
  padding-right: 15px;
}

.nav-ul {
  list-style: none;
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 15px;
}

form li {
  margin-bottom: 20px;
}

.nav-ul li {
  display: flex;
  font-style: normal;
  font-weight: 500;
  font-size: 15px;
  line-height: 20px;
  align-items: center;
  text-align: center;
  color: #344563;
  margin-left: 32px;
  margin-right: 32px;
}

.nav-ul a {
  text-decoration: none;
  transition: transform 0.2s;
}

.nav-ul li a {
  color: #344563;
}

.home {
  background-image: url("./img/3.svg");
  background-color: white;
  background-size: cover;
  border-bottom-left-radius: 70px;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: column;
  padding: 50px 24px;
  padding-right: 0;
}

.home h1 {
  font-size: 40px;
  margin-bottom: 0;
  font-weight: 900;
  line-height: 52px;
  font-family: 'Poppins', sans-serif;
  margin-left: 10%;
  margin-right: 10%;
}

.home p {
  width: 327px;
  margin-left: 10%;
  margin-right: 10%;
}

.connect {
  color: #7f8cff;
  margin-right: 10%;
}

.home li {
  padding-left: 8px;
}

form ul {
  list-style: none;
  padding-left: 0;
}

.home ul {
  list-style: none;
  display: flex;
  padding-left: 0;
  margin-left: 10%;
  margin-right: 10%;
}

.work {
  display: grid;
  align-items: center;
  padding: 114px 24px;
  gap: 88px;
  left: 0;
  top: 100px;
}

.grid-item {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  background-color: white;
  padding: 15px 15px 15px 15px;
  border: 1px solid #dfe1e6;
  border-radius: 16px;
}

h2 {
  font-family: 'Poppins', sans-serif;
  font-weight: 700;
  font-size: 32px;
  line-height: 44px;
  margin-bottom: 0;
  margin-top: 12px;
}

.work-content {
  font-family: 'Poppins', sans-serif;
  font-weight: 600;
  font-size: 13px;
  line-height: 24px;
  display: flex;
  flex-direction: row;
  padding: 0;
  margin: 0;
}

.work-discription p {
  display: flex;
  font-weight: 200;
  font-size: 15px;
  line-height: 24px;
  padding-top: 20px;
}

.p-1 {
  padding-top: 0;
  margin-top: 0;
  padding-bottom: 0;
  margin-bottom: 0;
}

.categories ul {
  display: flex;
  list-style: none;
  padding-left: 0;
}

.categories li {
  align-items: center;
  background-color: #ebebff;
  border-radius: 8px;
  padding: 4px 12px;
  margin-right: 8px;
  color: #6070ff;
}

form button {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0 16px;
  width: 140px;
  height: 48px;
  left: 24px;
  background: #fff;
  border-radius: 8px;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  text-align: center;
  letter-spacing: 0.03em;
  color: #6070ff;
  border: none;
}

button:hover {
  background-color: #2230d2;
  color: #fff;
}

.work-button {
  box-sizing: border-box;
  background-color: white;
  align-items: center;
  padding: 12px;
  width: 133px;
  height: 58px;
  left: 0;
  border: 1px solid #6070ff;
  border-radius: 8px;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  letter-spacing: 0.03em;
  color: #396df2;
}

.work-img1 {
  background-image: url("./img/Snapshoot1.svg");
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 8px;
  height: 220px;
}

.work-content ul {
  display: inline-flex;
  padding-left: 20px;
  color: #7a869a;
}

.work-content li {
  margin-left: 32px;
}

.work-img2 {
  background-image: url("./img/Snapshoot2.svg");
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 8px;
  height: 220px;
}

.work-img3 {
  background-image: url("./img/Snapshoot3.svg");
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 8px;
  height: 220px;
}

.work-img4 {
  background-image: url("./img/Snapshoot4.svg");
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 8px;
  height: 220px;
}

.about-myself {
  display: flex;
  flex-direction: column;
  padding: 114px 24px;
  gap: 24px;
  background-color: white;
  border-top-right-radius: 80px;
}

.about-header {
  font-style: normal;
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  display: flex;
  align-items: center;
  color: #172b4d;
}

.about-content-p {
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #344563;
  margin: 0;
  padding: 0;
}

.about-content li {
  padding-left: 8px;
}

.about-content ul {
  list-style: none;
  display: flex;
  padding-left: 0;
}

.my-button {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 12px;
  gap: 10px;
  margin-top: 22px;
  background-color: white;
  width: 162px;
  height: 48px;
  border: 1px solid #6070ff;
  border-radius: 8px;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  color: #396df2;
  text-align: center;
}

.skill-set {
  display: flex;
  flex-direction: column;
  padding: 0;
}

.languages {
  display: flex;
  flex-direction: row;
  align-items: center;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  margin-left: 12px;
}

.languages p {
  width: 237px;
  height: 24px;
  left: 12px;
  right: 78px;
  top: calc(50% - 24px / 2);
  font-family: 'Poppins', sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
  margin-right: auto;
  align-items: center;
  color: #344563;
}

.languages img {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  padding: 8px;
  margin-right: 40px;
  width: 23px;
  height: 30px;
  right: 26px;
  border-radius: 8px;
}

.languages-list {
  display: flex;
  flex-direction: column;
}

.languages-list ul {
  list-style: none;
  padding-left: 15px;
}

.languages-list li {
  display: flex;
  background: #f7f7f9;
  border-radius: 8px;
  margin-bottom: 12px;
  margin-top: 21px;
  width: 303px;
  height: 66.72px;
}

.languages-list p {
  padding-top: 5px;
}

.languages-list img {
  width: 48px;
  height: 48px;
  left: 12px;
  padding-top: 9px;
  margin-left: 12px;
  padding-right: 16px;
}

.framework {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  flex-direction: row;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  margin-left: 12px;
}

.framework p {
  left: 12px;
  right: 78px;
  top: calc(50% - 24px / 2);
  font-family: 'Poppins', sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
  margin-right: auto;
  align-items: center;
  color: #344563;
}

.skills {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: center;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  margin-left: 12px;
}

.skills p {
  left: 12px;
  right: 78px;
  top: calc(50% - 24px / 2);
  font-family: 'Poppins', sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 24px;
  margin-right: auto;
  align-items: center;
  color: #344563;
}

.arrow-img {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-right: 40px;
  padding-top: 30px;
  width: 30px;
  height: 23px;
}

.form-container {
  background-color: white;
  display: flex;
  flex-direction: column;
}

.form-min {
  background-color: #6070ff;
  border-top-left-radius: 70px;
  background-image: url("./img/form.png");
  background-size: cover;
  background-repeat: no-repeat;
  padding: 50px 24px 0 24px;
  padding-top: 103px;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.form-des p {
  width: 327px;
  font-weight: 400;
  font-size: 20px;
  line-height: 28px;
  text-align: center;
  color: #ebebff;
  align-items: center;
  margin-left: auto;
  margin-right: auto;
}

.form-des h1 {
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  text-align: center;
  color: #fff;
  margin-top: 103px;
}

form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#user-name,
#email-address {
  width: 327px;
  height: 48px;
  background: #fff;
  border: 1px solid #cfd8dc;
  border-radius: 8px;
  font-family: 'Poppins', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 17px;
  line-height: 20px;
  display: flex;
  align-items: center;
  padding-left: 16px;
}

#msg {
  background: #fff;
  border: 1px solid #cfd8dc;
  border-radius: 8px;
  width: 327px;
  height: 170px;
  font-family: 'Poppins', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 24px;
  color: #b3bac5;
  padding-left: 16px;
}

.shape {
  margin-left: 120px;
  margin-bottom: 8px;
}

hr {
  flex: 0 0 100%;
}

@media screen and (max-width: 768px) {
  .nav-ul a {
    display: none;
  }
}

@media screen and (min-width: 980px) {
  #home {
    padding: 160px 260px 90px 130px;
    height: 70vh;
    text-align: left;
    border-bottom-left-radius: 20%;
    background-color: #fff;
  }
}

@media screen and (min-width: 768px) {
  #home {
    background-image: url("./img/home_bg.svg");
    background-repeat: no-repeat;
    background-size: contain;
  }

  .home p {
    width: 100%;
  }

  .nav-pic {
    display: none;
  }

  .work-img {
    width: 50%;
    height: 448px;
  }

  .description-container2,
  .description-container4 {
    width: 50%;
    margin-right: 46px;
    margin-left: 46px;
  }

  .description-container1,
  .description-container3 {
    width: 50%;
    margin-left: 46px;
    margin-right: 46px;
  }

  .grid-item {
    display: flex;
    flex-direction: row;
    margin-left: 10%;
    margin-right: 10%;
  }

  .grid-item2,
  .grid-item4 {
    display: flex;
    flex-direction: row-reverse;
  }

  .about-myself {
    display: flex;
    flex-direction: row;
  }

  .about-description {
    width: 40%;
    margin-right: 37px;
    margin-left: 80px;
  }

  .about-cv {
    width: 60%;
  }

  .about-header {
    width: 40%;
  }

  .languages-list li {
    display: flex;
    flex-direction: column;
    width: 122px;
    height: 120px;
    text-align: center;
    align-items: center;
    justify-content: center;
    margin-right: 12px;
  }

  .languages-list ul {
    display: flex;
    flex-direction: row;
  }

  .form-des p {
    width: 569px;
  }

  #user-name,
  #email-address {
    width: 447px;
  }

  #msg {
    width: 447px;
  }

  .shape {
    display: none;
  }

  .nav-ul a:hover {
    transform: scale(1.5);
    color: #2230d2;
  }

  .form-min {
    background-image: url("./img/contact-form-background-shapes.svg");
    background-repeat: no-repeat;
    background-size: 90% 90%;
    background-position: center;
  }

  .form-ul {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 447px;
  }
}
